/*
	seeinput.c
	
	Reads the BL1200/Little PLC optically-isolated inputs.

	Connections

		Vcc to COM1
		Vcc to COM2
		GND to any input I0- through I7-
*/

int i, j;

main()
{
   while (1)
   {
   	j = inport(PIODA); /* read input channels */

   	printf("%x\r", j);  /* output to the STDIO window */
      
   	for (i=0; i<30000; ++i) hitwd();   /* pause */
   }
}